Assignee: Dominic Cleal   

Category: Internationalization   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3739

  

Description

Transifex is failing to update the POT file from the Foreman 1.12-stable branch with the following error:

 The URL we used to update the source file from was https://github.com/theforeman/foreman/raw/1.12

-stable/locale/foreman.pot.

The exact error we encountered was:

'ascii' codec can't encode character u'\xa9' in position 203700: ordinal not in range(128) 

 I think the non-ASCII character it's having a problem with is the copyright symbol in the string Version %{version}  © 2009-%{year}

Paul Kelly and %{author}, which has the Unicode byte sequence c2 a9.

Associated revisions

Revision 1e6f9273 - 08/17/2016 05:51 AM - Dominic Cleal

fixes #16142 - replace Unicode copyright with HTML encoded symbol

History

#1 - 08/17/2016 05:38 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3739 added

#2 - 08/17/2016 06:01 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 1e6f9273793ee7dabcc0ea069d487a5e201f399b.

#3 - 08/18/2016 05:14 AM - Dominic Cleal

- translation missing: en.field_release set to 160
